// pages/chooseRefundWay/chooseRefundWay.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    refundItem:{},
    refundType: 2, //退款类型 1整单  2单个物品
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    //拿到上页传来的数据存入本地缓存
    var refundItem = wx.getStorageSync("refundItem");
    var refundType = options.refundType   // 退款类型 1整单  2单个物品
    this.setData({
      refundItem: refundItem,
      refundType: refundType
    });
    console.log(this.data.refundItem)
    console.log('退款类型 1整单  2单个物品：',this.data.refundType)
  },

  toRefundPage:function(e){
    var type = e.currentTarget.dataset.type;
    console.log(this.data.refundType)
    wx.navigateTo({ //通过wx.redirectTo实现跳转（关闭当前页面，跳转到应用内某个页面）
      url: '/pages/applyRefund/applyRefund?type='+ type + '&refundType=' + this.data.refundType,
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})